std::bernoulli_distribution Class Reference
Numerics » Random Number Generation » Random Number Generators » Random Number Distributions » Uniform Distributions » Normal Distributions » Bernoulli Distributions

## Classes

struct | param_type

## Public Types

typedef bool | result_type

## Public Member Functions

| bernoulli_distribution (const param_type &__p)
| bernoulli_distribution (double __p=0.5)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
result_type | max () const
result_type | min () const
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
double | p () const
param_type | param () const
void | param (const param_type &__param)
void | reset ()

## Friends

bool | operator== (const bernoulli_distribution &__d1, const bernoulli_distribution &__d2)

## Detailed Description

A Bernoulli random number distribution.

Generates a sequence of true and false values with likelihood that true will come up and that false will appear.

Definition at line 3452 of file random.h.

The documentation for this class was generated from the following files:

- random.h
- bits/random.tcc